scala.runtime

# RichChar

#### final class RichChar extends IntegralProxy[Char]

Source
  RichChar.scala

Linear Supertypes
IntegralProxy[Char], RangedProxy[Char], ScalaWholeNumberProxy[Char], ScalaNumberProxy[Char], OrderedProxy[Char], Ordered[Char], Comparable[Char], Typed[Char], Proxy, ScalaNumericConversions, ScalaNumber, Number, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. RichChar
2. IntegralProxy
3. RangedProxy
4. ScalaWholeNumberProxy
5. ScalaNumberProxy
6. OrderedProxy
7. Ordered
8. Comparable
9. Typed
10. Proxy
11. ScalaNumericConversions
12. ScalaNumber
13. Number
14. Serializable
15. AnyRef
16. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichChar(self: Char)

### Type Members

1. #### type ResultWithoutStep = NumericRange[Char]

   Definition Classes
     IntegralProxy → RangedProxy

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def <(that: Char): Boolean

   Returns true if `this` is less than `that`

   Returns true if `this` is less than `that`

   Definition Classes
     Ordered

5. #### def <=(that: Char): Boolean

   Returns true if `this` is less than or equal to `that`.

   Returns true if `this` is less than or equal to `that`.

   Definition Classes
     Ordered

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def >(that: Char): Boolean

   Returns true if `this` is greater than `that`.

   Returns true if `this` is greater than `that`.

   Definition Classes
     Ordered

9. #### def >=(that: Char): Boolean

   Returns true if `this` is greater than or equal to `that`.

   Returns true if `this` is greater than or equal to `that`.

   Definition Classes
     Ordered

10. #### def abs: Char

    Definition Classes
      ScalaNumberProxy

11. #### def asDigit: Int

12. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

13. #### def byteValue(): Byte

    Definition Classes
      Number

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

15. #### def compare(y: Char): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Implement this method to determine how instances of A will be sorted.

    Returns `x` where:

    - `x < 0` when `this < that`
    - `x == 0` when `this == that`
    - `x > 0` when `this > that`
    Definition Classes
      OrderedProxy → Ordered

16. #### def compareTo(that: Char): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Definition Classes
      Ordered → Comparable

17. #### def doubleValue(): Double

    Definition Classes
      ScalaNumberProxy → Number

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

20. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

21. #### def floatValue(): Float

    Definition Classes
      ScalaNumberProxy → Number

22. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

23. #### def getDirectionality: Byte

24. #### def getNumericValue: Int

25. #### def getType: Int

26. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

27. #### def intValue(): Int

    Definition Classes
      ScalaNumberProxy → Number

28. #### def isControl: Boolean

29. #### def isDigit: Boolean

30. #### def isHighSurrogate: Boolean

31. #### def isIdentifierIgnorable: Boolean

32. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

33. #### def isLetter: Boolean

34. #### def isLetterOrDigit: Boolean

35. #### def isLowSurrogate: Boolean

36. #### def isLower: Boolean

37. #### def isMirrored: Boolean

38. #### def isSpaceChar: Boolean

39. #### def isSurrogate: Boolean

40. #### def isTitleCase: Boolean

41. #### def isUnicodeIdentifierPart: Boolean

42. #### def isUnicodeIdentifierStart: Boolean

43. #### def isUpper: Boolean

44. #### def isValidByte: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Byte MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Byte MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

45. #### def isValidChar: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Char MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Char MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

46. #### def isValidInt: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Int MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Int MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

47. #### def isValidShort: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Short MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Short MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

48. #### def isWhitespace: Boolean

49. #### def isWhole(): Boolean

    Definition Classes
      ScalaWholeNumberProxy → ScalaNumber

50. #### def longValue(): Long

    Definition Classes
      ScalaNumberProxy → Number

51. #### def max(that: Char): Char

    Definition Classes
      ScalaNumberProxy

52. #### def min(that: Char): Char

    Definition Classes
      ScalaNumberProxy

53. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

54. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

55. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

56. #### val ord: Ordering[Char]

    Attributes
      protected
    Definition Classes
      ScalaNumberProxy → OrderedProxy

57. #### def reverseBytes: Char

58. #### val self: Char

    Definition Classes
      RichChar → Typed → Proxy

59. #### def shortValue(): Short

    Definition Classes
      Number

60. #### def signum: Int

    Definition Classes
      ScalaNumberProxy

61. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

62. #### def to(end: Char, step: Char): Inclusive[Char]

    Definition Classes
      IntegralProxy → RangedProxy

63. #### def to(end: Char): Inclusive[Char]

    Definition Classes
      IntegralProxy → RangedProxy

64. #### def toByte: Byte

    Returns the value of this as a Byte.

    Returns the value of this as a Byte. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

65. #### def toChar: Char

    Returns the value of this as a Char.

    Returns the value of this as a Char. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

66. #### def toDouble: Double

    Returns the value of this as a Double.

    Returns the value of this as a Double. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

67. #### def toFloat: Float

    Returns the value of this as a Float.

    Returns the value of this as a Float. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

68. #### def toInt: Int

    Returns the value of this as an Int.

    Returns the value of this as an Int. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

69. #### def toLong: Long

    Returns the value of this as a Long.

    Returns the value of this as a Long. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

70. #### def toLower: Char

71. #### def toShort: Short

    Returns the value of this as a Short.

    Returns the value of this as a Short. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

72. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Proxy → AnyRef → Any

73. #### def toTitleCase: Char

74. #### def toUpper: Char

75. #### def underlying(): AnyRef

    Definition Classes
      ScalaNumberProxy → ScalaNumber

76. #### def unifiedPrimitiveEquals(x: Any): Boolean

    Should only be called after all known non-primitive types have been excluded.

    Should only be called after all known non-primitive types have been excluded. This method won't dispatch anywhere else after checking against the primitives to avoid infinite recursion between equals and this on unknown "Number" variants.

    Additionally, this should only be called if the numeric type is happy to be converted to Long, Float, and Double. If for instance a BigInt much larger than the Long range is sent here, it will claim equality with whatever Long is left in its lower 64 bits. Or a BigDecimal with more precision than Double can hold: same thing. There's no way given the interface available here to prevent this error.

    Attributes
      protected
    Definition Classes
      ScalaNumericConversions

77. #### def unifiedPrimitiveHashcode(): Int

    Attributes
      protected
    Definition Classes
      ScalaNumericConversions

78. #### def until(end: Char, step: Char): Exclusive[Char]

    Definition Classes
      IntegralProxy → RangedProxy

79. #### def until(end: Char): Exclusive[Char]

    Definition Classes
      IntegralProxy → RangedProxy

80. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

81. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

82. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Deprecated Value Members

1. #### def isLowerCase: Boolean

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use ch.isLower instead

2. #### def isUpperCase: Boolean

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use ch.isUpper instead

3. #### def toLowerCase: Char

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use ch.toLower instead

4. #### def toUpperCase: Char

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use ch.toUpper instead

### Inherited from IntegralProxy[Char]

### Inherited from RangedProxy[Char]

### Inherited from ScalaWholeNumberProxy[Char]

### Inherited from ScalaNumberProxy[Char]

### Inherited from OrderedProxy[Char]

### Inherited from Ordered[Char]

### Inherited from Comparable[Char]

### Inherited from Typed[Char]

### Inherited from Proxy

### Inherited from ScalaNumericConversions

### Inherited from ScalaNumber

### Inherited from Number

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any